apiVersion: v1
kind: Service
metadata:
    name: nextcloud-local-access-svc
    namespace: home-stuff
    annotations:
        metallb.universe.tf/allow-shared-ip: internal
spec:
    selector:
        app: ENC[AES256_GCM,data:xpD4DzTEDV6I,iv:19OFLUAA1kwaqH81QDhSVExgJ1BVz7GzaM3HjuqaKc0=,tag:xIW9d28ff+a6x95CoX18Bg==,type:str]
    ports:
        - port: ENC[AES256_GCM,data:fFUysMk=,iv:tXf1niuQdFwa3vCv2XhKD9NRXD1Y/L2DtyFpjzMDxcM=,tag:HkcaVx1Mh/odRriSrCCB+g==,type:int]
          protocol: ENC[AES256_GCM,data:Ldvh,iv:Tn1XpFtIx1j5KLLv6/O8Mxc3B/zKY/XCkEYeYkfYAAM=,tag:t5TZHzb7zkt+AccME5ZjRQ==,type:str]
          targetPort: ENC[AES256_GCM,data:SpU8,iv:eorCcZiFd2XW5mrAAxV9pUd9/te8OOJw4ytFsib6QFU=,tag:CHYxBn6jO1A7digeIrMW7w==,type:int]
    type: LoadBalancer
    loadBalancerIP: ENC[AES256_GCM,data:m4nae6L+DcKcbCn/,iv:F8aLBIZTg/XaSRA7XtrzD2D4c3LLjzOqbOXcGW0OcdA=,tag:zknXLMTJrvlPMh8g8hjw+Q==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBuV2trejRRUVRzSEZPamFs
            Q0x0aHdNRkIyakkrTVdtUkp0b29EM2FlVUZZCnZiSHRIbUwxd2M0ZjBLYzBRd0tj
            S2JNUkVJd0s5YVIvc3Mwdlh2cThtZU0KLS0tIDA0bWoxNzFPT1EwSnhEU1IvaWho
            WUkxYkRxVHBObUo2NVkxTFplRFVJeEUKPHyq8TzCIVT0QKgZo0FGaZZxSyZffNsJ
            UN9xW3zlEkVDl4Ay74do4vGKp0o+1F7FRTg5HowxJWHw21xrqCGCOw==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:13Z"
    mac: ENC[AES256_GCM,data:w9MvL/mwzbhDc2METWUNJBNcTeRJhtov7vU+NrWvGmzp3/qf2qzmxMOKH1rWqAjZVUPp72kA19DqcQpYaF8ThzmnUUeU5YoC/v4gGs0yMCGoHojr0q+9UadSYhhw33jQIrb3MmumRUDwBSFNfOrCN0yHTgFhtXlysDQ/uaGK4wM=,iv:R90kP+uo1xi+tpo0sAkdGVv3vS3UnvfgaUavHudg+uY=,tag:ZPq9FxHmrfO1LbiU/G80AQ==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
